Skip to main content
GET
/
v1
/
decision-roles
List decision roles
curl --request GET \
  --url https://staging.api.us.aptlydone.com/settings/v1/decision-roles \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:20.945Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 100,
    "data": [
      {
        "id": "ad4c5d66-91e2-4370-bfbb-99a7d78cc5f8",
        "tenantId": "dc7ef50f-4912-46b9-9914-eb86a0e1f81d",
        "roleName": "Approver",
        "isDeleted": false,
        "status": "ACTIVE"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"334e7c3d-f32c-4410-90b4-a604d5a4d8fc"

Response

200 - application/json

Decision roles list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:20.945Z"

message
string
required
Example:

"Success"

data
object